<?php

require __DIR__ . '/vendor/autoload.php';

use Jcupitt\Vips;
use Jcupitt\Vips\Exception as VipsException;

// libvips caching is not needed
Vips\Config::cacheSetMax(0);
Vips\Config::cacheSetMaxFiles(0);
Vips\Config::cacheSetMaxMem(0);

// Target width = 460
$width = 460;

// Target height = 819
$height = 819;

// Original dimensions:
// Width = 539
// Height = 960
$file = __DIR__ . '/image.jpg';

$image = Vips\Image::thumbnail($file, $width, [
    'auto_rotate' => true,
    'linear' => false,
    'height' => $height,
    'size' => 'down'
]);

try {
    // Write to buffer
    $buffer = $image->writeToBuffer('.' . 'jpg');
} catch (VipsException $e) {
    echo $e->getMessage();
}